<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>gtrack.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">gtrack.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the header file for the GTRACK Algorithm.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__boundary_box.html">GTRACK_boundaryBox</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Box Structure.  <a href="struct_g_t_r_a_c_k__boundary_box.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__scenery_params.html">GTRACK_sceneryParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Scene Parameters.  <a href="struct_g_t_r_a_c_k__scenery_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__gate_limits.html">GTRACK_gateLimits</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Gate Limits.  <a href="struct_g_t_r_a_c_k__gate_limits.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__gating_params.html">GTRACK_gatingParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Gating Function Parameters.  <a href="struct_g_t_r_a_c_k__gating_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__state_params.html">GTRACK_stateParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Tracking Management Function Parameters.  <a href="struct_g_t_r_a_c_k__state_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__var_params.html">GTRACK_varParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Update Function Parameters.  <a href="struct_g_t_r_a_c_k__var_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__allocation_params.html">GTRACK_allocationParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Allocation Function Parameters.  <a href="struct_g_t_r_a_c_k__allocation_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__unrolling_params.html">GTRACK_unrollingParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Unrolling Parameters.  <a href="struct_g_t_r_a_c_k__unrolling_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__advanced_parameters.html">GTRACK_advancedParameters</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Advanced Parameters.  <a href="struct_g_t_r_a_c_k__advanced_parameters.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html">GTRACK_moduleConfig</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Configuration.  <a href="struct_g_t_r_a_c_k__module_config.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Measurement point.  <a href="struct_g_t_r_a_c_k__measurement_point.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Measurement variances.  <a href="struct_g_t_r_a_c_k__measurement_variance.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK target descriptor.  <a href="struct_g_t_r_a_c_k__target_desc.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga50eb8f9ce76aef3092703edb6161cff5"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#ga50eb8f9ce76aef3092703edb6161cff5">GTRACK_ERRNO_BASE</a>&#160;&#160;&#160;(-8000)</td></tr>
<tr class="memdesc:ga50eb8f9ce76aef3092703edb6161cff5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base error code for GTRACK algorithm. <br /></td></tr>
<tr class="separator:ga50eb8f9ce76aef3092703edb6161cff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga41006d2e9f09f70f291a5324f1846c02"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#ga41006d2e9f09f70f291a5324f1846c02">GTRACK_EOK</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="memdesc:ga41006d2e9f09f70f291a5324f1846c02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error code: No errors. <br /></td></tr>
<tr class="separator:ga41006d2e9f09f70f291a5324f1846c02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga823353eb89d226e03f58a3c6da4e4b23"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#ga823353eb89d226e03f58a3c6da4e4b23">GTRACK_EINVAL</a>&#160;&#160;&#160;(<a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#ga50eb8f9ce76aef3092703edb6161cff5">GTRACK_ERRNO_BASE</a>-1)</td></tr>
<tr class="memdesc:ga823353eb89d226e03f58a3c6da4e4b23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga823353eb89d226e03f58a3c6da4e4b23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5502b6d7a9b8e521c742fb28d56bdb23"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#ga5502b6d7a9b8e521c742fb28d56bdb23">GTRACK_EINUSE</a>&#160;&#160;&#160;(<a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#ga50eb8f9ce76aef3092703edb6161cff5">GTRACK_ERRNO_BASE</a>-2)</td></tr>
<tr class="memdesc:ga5502b6d7a9b8e521c742fb28d56bdb23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be implemented because a previous operation is still not complete. <br /></td></tr>
<tr class="separator:ga5502b6d7a9b8e521c742fb28d56bdb23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec8c4b8067dcb4d463e1880ea22ea1a9"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#gaec8c4b8067dcb4d463e1880ea22ea1a9">GTRACK_ENOTIMPL</a>&#160;&#160;&#160;(<a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#ga50eb8f9ce76aef3092703edb6161cff5">GTRACK_ERRNO_BASE</a>-3)</td></tr>
<tr class="memdesc:gaec8c4b8067dcb4d463e1880ea22ea1a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation is not implemented. <br /></td></tr>
<tr class="separator:gaec8c4b8067dcb4d463e1880ea22ea1a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b2bdc052fe64f380d5f943be650f98b"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#ga2b2bdc052fe64f380d5f943be650f98b">GTRACK_ENOMEM</a>&#160;&#160;&#160;(<a class="el" href="group___g_t_r_a_c_k___e_r_r_o_r___c_o_d_e.html#ga50eb8f9ce76aef3092703edb6161cff5">GTRACK_ERRNO_BASE</a>-4)</td></tr>
<tr class="memdesc:ga2b2bdc052fe64f380d5f943be650f98b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Out of memory. <br /></td></tr>
<tr class="separator:ga2b2bdc052fe64f380d5f943be650f98b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Maximum supported configurations</div></td></tr>
<tr class="memitem:ga622b9062312e3832a45e8d78f307bf32"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga622b9062312e3832a45e8d78f307bf32">GTRACK_NUM_POINTS_MAX</a>&#160;&#160;&#160;(1000U)</td></tr>
<tr class="memdesc:ga622b9062312e3832a45e8d78f307bf32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines maximum possible number of measurments point the algorithm will accept at configuration time. <br /></td></tr>
<tr class="separator:ga622b9062312e3832a45e8d78f307bf32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0cc093499dcb27b25d93db1721c46b73"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0cc093499dcb27b25d93db1721c46b73">GTRACK_NUM_TRACKS_MAX</a>&#160;&#160;&#160;(250U)</td></tr>
<tr class="memdesc:ga0cc093499dcb27b25d93db1721c46b73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines maximum possible number of tracking target the algorithm will accept at configuration time. <br /></td></tr>
<tr class="separator:ga0cc093499dcb27b25d93db1721c46b73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Target ID definitions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>Target IDs are uint8_t, with valid IDs ranging from 0 to 249. Values 250 to 252 are reserved for future use, other values as defined below </p>
</div></td></tr>
<tr class="memitem:gad5cda721a38a3cb6c84b289f388d5796"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad5cda721a38a3cb6c84b289f388d5796">GTRACK_ID_POINT_TOO_WEAK</a>&#160;&#160;&#160;(253U)</td></tr>
<tr class="memdesc:gad5cda721a38a3cb6c84b289f388d5796"><td class="mdescLeft">&#160;</td><td class="mdescRight">Point is not associated, is too weak. <br /></td></tr>
<tr class="separator:gad5cda721a38a3cb6c84b289f388d5796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac15e912ce87065507395f47e3fba665d"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac15e912ce87065507395f47e3fba665d">GTRACK_ID_POINT_BEHIND_THE_WALL</a>&#160;&#160;&#160;(254U)</td></tr>
<tr class="memdesc:gac15e912ce87065507395f47e3fba665d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Point is not associated, is behind the wall. <br /></td></tr>
<tr class="separator:gac15e912ce87065507395f47e3fba665d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a522224d04fcc4aec672fcb7d6560e4"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga9a522224d04fcc4aec672fcb7d6560e4">GTRACK_ID_POINT_NOT_ASSOCIATED</a>&#160;&#160;&#160;(255U)</td></tr>
<tr class="memdesc:ga9a522224d04fcc4aec672fcb7d6560e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Point is not associated, noise. <br /></td></tr>
<tr class="separator:ga9a522224d04fcc4aec672fcb7d6560e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Benchmarking results</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>During runtime execution, tracking step function can optionally return cycle counts for the sub-functions defined below Each count is 32bit unsigned integer value representing a timestamp of free runing clock </p>
</div></td></tr>
<tr class="memitem:gaabddb80eb950d627750bba2aa371d131"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaabddb80eb950d627750bba2aa371d131">GTRACK_BENCHMARK_SETUP</a>&#160;&#160;&#160;(0U)</td></tr>
<tr class="memdesc:gaabddb80eb950d627750bba2aa371d131"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count at step setup. <br /></td></tr>
<tr class="separator:gaabddb80eb950d627750bba2aa371d131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf98b37f96aac697eee16e566680da540"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf98b37f96aac697eee16e566680da540">GTRACK_BENCHMARK_PREDICT</a>&#160;&#160;&#160;(1U)</td></tr>
<tr class="memdesc:gaf98b37f96aac697eee16e566680da540"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after predict function. <br /></td></tr>
<tr class="separator:gaf98b37f96aac697eee16e566680da540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga221904397d2500dbc3b6f9a26f89f87d"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga221904397d2500dbc3b6f9a26f89f87d">GTRACK_BENCHMARK_ASSOCIATE</a>&#160;&#160;&#160;(2U)</td></tr>
<tr class="memdesc:ga221904397d2500dbc3b6f9a26f89f87d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after associate function. <br /></td></tr>
<tr class="separator:ga221904397d2500dbc3b6f9a26f89f87d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e206bc4ea2d255a230db00075bd1bba"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3e206bc4ea2d255a230db00075bd1bba">GTRACK_BENCHMARK_ALLOCATE</a>&#160;&#160;&#160;(3U)</td></tr>
<tr class="memdesc:ga3e206bc4ea2d255a230db00075bd1bba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after allocate function. <br /></td></tr>
<tr class="separator:ga3e206bc4ea2d255a230db00075bd1bba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab18a34d6995e78353e12b120d6aa897c"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab18a34d6995e78353e12b120d6aa897c">GTRACK_BENCHMARK_UPDATE</a>&#160;&#160;&#160;(4U)</td></tr>
<tr class="memdesc:gab18a34d6995e78353e12b120d6aa897c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after update function. <br /></td></tr>
<tr class="separator:gab18a34d6995e78353e12b120d6aa897c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf349132994321744ac1ea4d3c3f1f1d7"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf349132994321744ac1ea4d3c3f1f1d7">GTRACK_BENCHMARK_REPORT</a>&#160;&#160;&#160;(5U)</td></tr>
<tr class="memdesc:gaf349132994321744ac1ea4d3c3f1f1d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cycle count after report function. <br /></td></tr>
<tr class="separator:gaf349132994321744ac1ea4d3c3f1f1d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga395da7089c9f0bc8e946ea762e205a59"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga395da7089c9f0bc8e946ea762e205a59">GTRACK_BENCHMARK_SIZE</a>&#160;&#160;&#160;(<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf349132994321744ac1ea4d3c3f1f1d7">GTRACK_BENCHMARK_REPORT</a>+1U)</td></tr>
<tr class="memdesc:ga395da7089c9f0bc8e946ea762e205a59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of benchmarking array. <br /></td></tr>
<tr class="separator:ga395da7089c9f0bc8e946ea762e205a59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Boundary boxes</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>Application can configure tracker with scene boundries. Boundaries are defined as a boxes. </p>
</div></td></tr>
<tr class="memitem:ga27e76ea0967be28831d56b8af6e5a5ff"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga27e76ea0967be28831d56b8af6e5a5ff">GTRACK_MAX_BOUNDARY_BOXES</a>&#160;&#160;&#160;(2U)</td></tr>
<tr class="memdesc:ga27e76ea0967be28831d56b8af6e5a5ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of boundary boxes. Points outside of boundary boxes are ignored. <br /></td></tr>
<tr class="separator:ga27e76ea0967be28831d56b8af6e5a5ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf42bdc2aac8f7665adc3f4670e0598a0"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf42bdc2aac8f7665adc3f4670e0598a0">GTRACK_MAX_STATIC_BOXES</a>&#160;&#160;&#160;(2U)</td></tr>
<tr class="memdesc:gaf42bdc2aac8f7665adc3f4670e0598a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of static boxes. Targets inside the static box can persist longer. <br /></td></tr>
<tr class="separator:gaf42bdc2aac8f7665adc3f4670e0598a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga2733d052b2cd02bb8211eb817aa3190d"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2733d052b2cd02bb8211eb817aa3190d">gtrack_create</a> (<a class="el" href="struct_g_t_r_a_c_k__module_config.html">GTRACK_moduleConfig</a> *config, int32_t *errCode)</td></tr>
<tr class="separator:ga2733d052b2cd02bb8211eb817aa3190d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab690635a7210e712a6d3ab4eef331071"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab690635a7210e712a6d3ab4eef331071">gtrack_step</a> (void *handle, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, <a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a> *var, uint16_t mNum, <a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *t, uint16_t *tNum, uint8_t *mIndex, uint32_t *bench)</td></tr>
<tr class="separator:gab690635a7210e712a6d3ab4eef331071"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ab64b40df30e6956990bb79d63e78b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0ab64b40df30e6956990bb79d63e78b4">gtrack_delete</a> (void *handle)</td></tr>
<tr class="separator:ga0ab64b40df30e6956990bb79d63e78b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga641be2019eeac7c0641338cba10afabd"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___dependencies.html#ga641be2019eeac7c0641338cba10afabd">gtrack_alloc</a> (uint32_t numElements, uint32_t sizeInBytes)</td></tr>
<tr class="memdesc:ga641be2019eeac7c0641338cba10afabd"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK calls this function to allocate memory. Expects the void pointer if allocation is sucessful, and NULL otherwise.  <a href="group___g_t_r_a_c_k___dependencies.html#ga641be2019eeac7c0641338cba10afabd">More...</a><br /></td></tr>
<tr class="separator:ga641be2019eeac7c0641338cba10afabd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb9c8366b3901ca951bc9aa820d9ee45"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___dependencies.html#gaeb9c8366b3901ca951bc9aa820d9ee45">gtrack_free</a> (void *pFree, uint32_t sizeInBytes)</td></tr>
<tr class="memdesc:gaeb9c8366b3901ca951bc9aa820d9ee45"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK calls this function to free memory.  <a href="group___g_t_r_a_c_k___dependencies.html#gaeb9c8366b3901ca951bc9aa820d9ee45">More...</a><br /></td></tr>
<tr class="separator:gaeb9c8366b3901ca951bc9aa820d9ee45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga790801a4a071595d1d9df025d7291e52"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___dependencies.html#ga790801a4a071595d1d9df025d7291e52">gtrack_log</a> (<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga56ae787b8feff2425013007288693b14">GTRACK_VERBOSE_TYPE</a> level, const char *format,...)</td></tr>
<tr class="memdesc:ga790801a4a071595d1d9df025d7291e52"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK calls this function to log the events.  <a href="group___g_t_r_a_c_k___dependencies.html#ga790801a4a071595d1d9df025d7291e52">More...</a><br /></td></tr>
<tr class="separator:ga790801a4a071595d1d9df025d7291e52"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the header file for the GTRACK Algorithm. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2017 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
